petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsHead

Puts a heading before listing any more published options. Used, for example, in KSPSetFromOptions_GMRES().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsHead(PetscOptionItems *PetscOptionsObject,const char head[])

Logically Collective on the communicator passed in PetscOptionsBegin()

### Input Parameter

head -the heading text

### Notes

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

Can be followed by a call to PetscOptionsTail() in the same function.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

intermediate

### Location

src/sys/objects/aoptions.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages